Name:           headphones
Version: 	0.6.1
Release: 	1%{?dist}
License: 	GPLv3+
Summary: 	An automatic music NZB and torrent downloader
Url:		https://github.com/rembo10/headphones
Group:		Productivity/Networking/News/Clients
Source:		https://github.com/rembo10/headphones/archive/v%{version}.tar.gz
Source1:        headphones.service
BuildRequires: 	python3-devel
BuildRequires:  fdupes
BuildArch: 	noarch

BuildRequires: 	systemd-units
Requires(post): systemd-units
Requires(preun): 	systemd-units
Requires(postun): 	systemd-units

%description
Headphones is an automated music downloader for NZB and Torrent, written in Python. 
It supports SABnzbd, NZBget, Transmission, µTorrent, Deluge and Blackhole.

%prep
%setup -q 

%build
find . -type f -name "*.py" -exec sed -i -e 's|#!/usr/bin/env python$|#!/usr/bin/python3|g' {} ';'
find . -type f -name "*.py" -exec sed -i -e 's|#!/usr/bin/python$|#!/usr/bin/python3|g' {} ';'

%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/headphones
touch $RPM_BUILD_ROOT%{_sysconfdir}/headphones/config.ini

# needed?
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/headphones

mkdir -p $RPM_BUILD_ROOT%{_datadir}
install -d -m 0755 %{_builddir}/headphones-%{version} $RPM_BUILD_ROOT%{_datadir}/headphones
cp -r %{_builddir}/headphones-%{version}/* $RPM_BUILD_ROOT%{_datadir}/headphones

mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/headphones
ln -s %{_sysconfdir}/headphones/config.ini $RPM_BUILD_ROOT%{_localstatedir}/lib/headphones/config.ini

# rpmlint badness duplicate files
%fdupes $RPM_BUILD_ROOT%{_datadir}

%pre
getent group headphones >/dev/null || groupadd -r headphones
getent passwd headphones >/dev/null || useradd -r -g headphones -d %{_localstatedir}/lib/headphones -s /sbin/nologin -c "user for headphones" headphones
exit 0

%post
%systemd_post headphones.service

%preun
%systemd_preun headphones.service

%postun
%systemd_postun_with_restart headphones.service

%files
%attr(0750,headphones,headphones) %dir %{_sysconfdir}/headphones
%config %attr(0640,headphones,headphones)%{_sysconfdir}/headphones/config.ini

%doc CHANGELOG.md API.md CONTRIBUTING.md README.md requirements-dev.txt
%doc init-scripts
%license LICENSE

%{_datadir}/headphones
%attr(0644,root,root) %{_unitdir}/headphones.service
%attr(0755,headphones,headphones)%{_localstatedir}/lib/headphones


%changelog
* Mon Dec 04 2023 josef radinger <cheese@nosuchhost.net> - 0.6.1-1
- bump version

* Thu Dec 01 2022 josef radinger <cheese@nosuchhost.net> - 0.6.0-1
- bump version
- switch to python3

* Tue Oct 19 2021 josef radinger <cheese@nosuchhost.net> - 0.5.20-1
- bump version

* Wed Nov 13 2019 josef radinger <cheese@nosuchhost.net> - 0.5.19-4
- fix usage of python2 (not python22)

* Thu Oct 24 2019 josef radinger <cheese@nosuchhost.net> - 0.5.19-3
- remove exec-flagfrom service-file

* Sun May 12 2019 josef radinger <cheese@nosuchhost.net> - 0.5.19-2
- use python2
- remove defattr
- use license-tag

* Sun Sep 02 2018 josef radinger <cheese@nosuchhost.net> - 0.5.19-1
- bump version

* Tue Sep 01 2015 josef radinger <cheese@nosuchhost.net> - 0.5.18-1
- initial version

